package main

import (
	"bytes"
	"fmt"
	"io"
	"net/http"
)

func (this *WebdirApp) RenderStatic(w http.ResponseWriter, fileName string) {

	data, err := Asset(fileName)
	if err != nil {
		this.RenderError(w, 404, err)
		return
	}

	mimeHeaders(w, fileName)
	w.Header().Set("Content-Length", fmt.Sprintf("%d", len(data)))
	w.WriteHeader(200)
	io.Copy(w, bytes.NewReader(data))
}
